Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class DateUtilities

    java.lang.Object
      oracle.ifs.common.DateUtilities

    public class DateUtilities

extends java.lang.Object

Provides miscellaneous utility methods for date processing.

(Published)

Method Summary
`static java.lang.Long` | `convertTimerInterval(java.lang.String value)` Computes the number of milliseconds in a period of time specified as a string.
`static java.lang.Long` | `convertTimerInterval(java.lang.String value, long defValue)` Computes the number of milliseconds in a period of time specified as a string, and default to the specified value if the specified string is not legal or is null.
`static java.lang.Long` | `convertTimerInterval(java.lang.String value, java.lang.String daySuffix, java.lang.String hourSuffix, java.lang.String minuteSuffix, java.lang.String secondSuffix)` Computes the number of milliseconds in a period of time specified as a string.
`static void` | `verifyTimeOfDayString(java.lang.String value)` Verified a specification of a time-of-day.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### convertTimerInterval

    public static java.lang.Long convertTimerInterval(java.lang.String value)
                                               throws IfsException

  Description copied from class: `DateUtilities`
  Computes the number of milliseconds in a period of time specified as a string.

  For example, convert "36s" to new Long(36000).

  Parameters:
    `value` - string value to be converted
  Returns:
    the time interval, in milliseconds
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### convertTimerInterval

    public static java.lang.Long convertTimerInterval(java.lang.String value,
                                                      long defValue)

  Description copied from class: `DateUtilities`
  Computes the number of milliseconds in a period of time specified as a string, and default to the specified value if the specified string is not legal or is null.

  Parameters:
    `value` - string value to be converted
    `defValue` - string value to be converted
  Returns:
    the time interval, in milliseconds
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### convertTimerInterval

    public static java.lang.Long convertTimerInterval(java.lang.String value,
                                                      java.lang.String daySuffix,
                                                      java.lang.String hourSuffix,
                                                      java.lang.String minuteSuffix,
                                                      java.lang.String secondSuffix)
                                               throws IfsException

  Description copied from class: `DateUtilities`
  Computes the number of milliseconds in a period of time specified as a string.

  For example, convert "36s" to 36000 ms.

  Parameters:
    `value` - string value to be converted
    `daySuffix` - suffix used for day
    `hourSuffix` - suffix used for hour
    `minuteSuffix` - suffix used for minute
    `secondSuffix` - suffix used for second
  Returns:
    the time interval, in milliseconds
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### verifyTimeOfDayString

    public static void verifyTimeOfDayString(java.lang.String value)
                                      throws IfsException

  Description copied from class: `DateUtilities`
  Verified a specification of a time-of-day.

  Verifies that the string specified represents a 24-hour time specification.

  Parameters:
    `value` - string value to be checked
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD